DeltaCertificateDescriptor (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class DeltaCertificateDescriptor

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.DeltaCertificateDescriptor

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DeltaCertificateDescriptor
      extends ASN1Object

       DeltaCertificateDescriptor ::= SEQUENCE {
         serialNumber          CertificateSerialNumber,
         signature             [0] EXPLICIT AlgorithmIdentifier {SIGNATURE_ALGORITHM, {...}} OPTIONAL,
         issuer                [1] EXPLICIT Name OPTIONAL,
         validity              [2] EXPLICIT Validity OPTIONAL,
         subject               [3] EXPLICIT Name OPTIONAL,
         subjectPublicKeyInfo  SubjectPublicKeyInfo,
         extensions            [4] EXPLICIT Extensions{CertExtensions} OPTIONAL,
         signatureValue        BIT STRING
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeltaCertificateDescriptor(ASN1Integer serialNumber, AlgorithmIdentifier signature, X500Name issuer, Validity validity, X500Name subject, SubjectPublicKeyInfo subjectPublicKeyInfo, Extensions extensions, ASN1BitString signatureValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeltaCertificateDescriptor` | `fromExtensions(Extensions extensions)` Retrieve a DeltaCertificateDescriptor for a passed in Extensions object, if present.
    `Extensions` | `getExtensions()`
    `static DeltaCertificateDescriptor` | `getInstance(java.lang.Object obj)`
    `X500Name` | `getIssuer()`
    `ASN1Integer` | `getSerialNumber()`
    `AlgorithmIdentifier` | `getSignature()`
    `ASN1BitString` | `getSignatureValue()`
    `X500Name` | `getSubject()`
    `SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
    `ASN1Sequence` | `getValidity()` Deprecated. Use getValidityObject instead.
    `Validity` | `getValidityObject()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `DeltaCertificateDescriptor` | `trimTo(TBSCertificate baseTbsCertificate, Extensions tbsExtensions)` Deprecated. Use DeltaCertificateTool#trimDeltaCertificateDescriptor instead.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeltaCertificateDescriptor

          public DeltaCertificateDescriptor(ASN1Integer serialNumber,
                                            AlgorithmIdentifier signature,
                                            X500Name issuer,
                                            Validity validity,
                                            X500Name subject,
                                            SubjectPublicKeyInfo subjectPublicKeyInfo,
                                            Extensions extensions,
                                            ASN1BitString signatureValue)

  - ### Method Detail

    - #### getInstance

          public static DeltaCertificateDescriptor getInstance(java.lang.Object obj)

    - #### fromExtensions

          public static DeltaCertificateDescriptor fromExtensions(Extensions extensions)

      Retrieve a DeltaCertificateDescriptor for a passed in Extensions object, if present.
      Parameters:
        `extensions` - the extensions object to be examined.
      Returns:
        the DeltaCertificateDescriptor, null if the extension is not present.

    - #### getSerialNumber

          public ASN1Integer getSerialNumber()

    - #### getSignature

          public AlgorithmIdentifier getSignature()

    - #### getIssuer

          public X500Name getIssuer()

    - #### getValidity

          public ASN1Sequence getValidity()

      Deprecated. Use getValidityObject instead.

    - #### getValidityObject

          public Validity getValidityObject()

    - #### getSubject

          public X500Name getSubject()

    - #### getSubjectPublicKeyInfo

          public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

    - #### getExtensions

          public Extensions getExtensions()

    - #### getSignatureValue

          public ASN1BitString getSignatureValue()

    - #### trimTo

          public DeltaCertificateDescriptor trimTo(TBSCertificate baseTbsCertificate,
                                                   Extensions tbsExtensions)

      Deprecated. Use DeltaCertificateTool#trimDeltaCertificateDescriptor instead.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.